// This file is part of NameTag.
//
// Copyright 2013 by Institute of Formal and Applied Linguistics, Faculty of
// Mathematics and Physics, Charles University in Prague, Czech Republic.
//
// NameTag is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as
// published by the Free Software Foundation, either version 3 of
// the License, or (at your option) any later version.
//
// NameTag is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with NameTag.  If not, see <http://www.gnu.org/licenses/>.

#pragma once

#include <random>

#include "../common.h"

namespace ufal {
namespace nametag {

class distribution {
 public:
  distribution(unsigned seed) : g(seed) {}

  int uniform(int min, int max);
  double real(double min = 0., double max = 1.);
  void permutation(int min, int max, vector<int>& perm);
 private:
  mt19937 g;
};

} // namespace nametag
} // namespace ufal
